"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374e9d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374ea60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374eaf0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374eb80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374ec10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374eca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374ed30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374edc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374ee50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374eee0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffb374ef70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a0d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a1f0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a280>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a310>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a3a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a430>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a4c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a550>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a5e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a670>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a700>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a820>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a790>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a8b0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a940>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375a9d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375aa60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375aaf0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375ab80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375ac10>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375aca0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375ad30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375adc0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375ae50>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375aee0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375af70>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c040>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c0d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c160>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c1f0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c280>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c310>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c3a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c430>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c4c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c550>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c5e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c670>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c790>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c820>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c8b0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375c9d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375ca60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375caf0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375cb80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375cc10>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375cca0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375cd30>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375cdc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375ce50>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffb375cee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37600d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37601f0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760280>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760310>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760430>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37603a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37604c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760550>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37605e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760670>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760790>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760820>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37608b0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffb37609d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffb3760a60>)]
name: str = 'fr_HOCCN'
